diff -r fb51f5b4aa4c trytond/tests/test_access.py
--- a/trytond/tests/test_access.py	Mon Sep 24 11:36:39 2012 +0200
+++ b/trytond/tests/test_access.py	Mon Sep 24 20:36:36 2012 +0200
@@ -26,82 +26,79 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            model_id, = self.model.search([('model', '=', 'test.access')])
+            model, = self.model.search([('model', '=', 'test.access')])
 
-            test_id = self.test_access.create({})
+            test = self.test_access.create({})
 
             # Without model access
-            self.test_access.read(test_id)
+            self.test_access.read([test.id])
 
             # With model access
 
             # One access allowed for any group
-            model_access_wo_group_id = self.model_access.create({
-                'model': model_id,
-                'group': False,
-                'perm_read': True,
-                })
-            self.test_access.read(test_id)
+            model_access_wo_group = self.model_access.create({
+                    'model': model.id,
+                    'group': False,
+                    'perm_read': True,
+                    })
+            self.test_access.read([test.id])
 
             # One access disallowed for any group
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_read': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.read,
-                    test_id)
+            self.model_access.write([model_access_wo_group], {
+                    'perm_read': False,
+                    })
+            self.assertRaises(Exception, self.test_access.read, [test.id])
 
             # Two access rules with one group allowed
-            group_id = self.group.search([('users', '=', USER)])[0]
-            model_access_w_group_id = self.model_access.create({
-                'model': model_id,
-                'group': group_id,
-                'perm_read': True,
-                })
+            group, = self.group.search([('users', '=', USER)])
+            model_access_w_group = self.model_access.create({
+                    'model': model.id,
+                    'group': group.id,
+                    'perm_read': True,
+                    })
 
-            self.test_access.read(test_id)
+            self.test_access.read([test.id])
 
             # Two access rules with both allowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_read': True,
-                })
-            self.test_access.read(test_id)
+            self.model_access.write([model_access_wo_group], {
+                    'perm_read': True,
+                    })
+            self.test_access.read([test.id])
 
             # Two access rules with any group allowed
-            self.model_access.write(model_access_w_group_id, {
-                'perm_read': False,
-                })
-            self.test_access.read(test_id)
+            self.model_access.write([model_access_w_group], {
+                    'perm_read': False,
+                    })
+            self.test_access.read([test.id])
 
             # Two access rules with both disallowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_read': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.read,
-                    test_id)
+            self.model_access.write([model_access_wo_group], {
+                    'perm_read': False,
+                    })
+            self.assertRaises(Exception, self.test_access.read, [test.id])
 
             # One access disallowed for one group
-            self.model_access.delete(model_access_wo_group_id)
-            self.failUnlessRaises(Exception, self.test_access.read,
-                    test_id)
+            self.model_access.delete([model_access_wo_group])
+            self.assertRaises(Exception, self.test_access.read, [test.id])
 
             # One access allowed for one group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_read': True,
-                })
-            self.test_access.read(test_id)
+            self.model_access.write([model_access_w_group], {
+                    'perm_read': True,
+                    })
+            self.test_access.read([test.id])
 
             # One access allowed for one other group
-            group_id = self.group.create({'name': 'Test'})
-            self.model_access.write(model_access_w_group_id, {
-                'group': group_id,
-                })
-            self.test_access.read(test_id)
+            group = self.group.create({'name': 'Test'})
+            self.model_access.write([model_access_w_group], {
+                    'group': group.id,
+                    })
+            self.test_access.read([test.id])
 
             # One access disallowed for one other group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_read': False,
-                })
-            self.test_access.read(test_id)
+            self.model_access.write([model_access_w_group], {
+                    'perm_read': False,
+                    })
+            self.test_access.read([test.id])
 
             transaction.cursor.rollback()
 
@@ -111,82 +108,78 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            model_id, = self.model.search([('model', '=', 'test.access')])
+            model, = self.model.search([('model', '=', 'test.access')])
 
-            test_id = self.test_access.create({})
+            test = self.test_access.create({})
 
             # Without model access
-            self.test_access.write(test_id, {})
+            self.test_access.write([test], {})
 
             # With model access
 
             # One access allowed for any group
-            model_access_wo_group_id = self.model_access.create({
-                'model': model_id,
-                'group': False,
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
+            model_access_wo_group = self.model_access.create({
+                    'model': model.id,
+                    'group': False,
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
 
             # One access disallowed for any group
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_write': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.write,
-                    test_id, {})
+            self.model_access.write([model_access_wo_group], {
+                    'perm_write': False,
+                    })
+            self.assertRaises(Exception, self.test_access.write, [test], {})
 
             # Two access rules with one group allowed
-            group_id = self.group.search([('users', '=', USER)])[0]
-            model_access_w_group_id = self.model_access.create({
-                'model': model_id,
-                'group': group_id,
-                'perm_write': True,
-                })
-
-            self.test_access.write(test_id, {})
+            group, = self.group.search([('users', '=', USER)])
+            model_access_w_group = self.model_access.create({
+                    'model': model.id,
+                    'group': group.id,
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
 
             # Two access rules with both allowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
+            self.model_access.write([model_access_wo_group], {
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
 
             # Two access rules with any group allowed
-            self.model_access.write(model_access_w_group_id, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
+            self.model_access.write([model_access_w_group], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
 
             # Two access rules with both disallowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_write': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.write,
-                    test_id, {})
+            self.model_access.write([model_access_wo_group], {
+                    'perm_write': False,
+                    })
+            self.assertRaises(Exception, self.test_access.write, [test], {})
 
             # One access disallowed for one group
-            self.model_access.delete(model_access_wo_group_id)
-            self.failUnlessRaises(Exception, self.test_access.write,
-                    test_id, {})
+            self.model_access.delete([model_access_wo_group])
+            self.assertRaises(Exception, self.test_access.write, [test], {})
 
             # One access allowed for one group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
+            self.model_access.write([model_access_w_group], {
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
 
             # One access allowed for one other group
-            group_id = self.group.create({'name': 'Test'})
-            self.model_access.write(model_access_w_group_id, {
-                'group': group_id,
-                })
-            self.test_access.write(test_id, {})
+            group = self.group.create({'name': 'Test'})
+            self.model_access.write([model_access_w_group], {
+                    'group': group.id,
+                    })
+            self.test_access.write([test], {})
 
             # One access disallowed for one other group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
+            self.model_access.write([model_access_w_group], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
 
             transaction.cursor.rollback()
 
@@ -196,7 +189,7 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            model_id, = self.model.search([('model', '=', 'test.access')])
+            model, = self.model.search([('model', '=', 'test.access')])
 
             # Without model access
             self.test_access.create({})
@@ -204,68 +197,68 @@
             # With model access
 
             # One access allowed for any group
-            model_access_wo_group_id = self.model_access.create({
-                'model': model_id,
-                'group': False,
-                'perm_create': True,
-                })
+            model_access_wo_group = self.model_access.create({
+                    'model': model.id,
+                    'group': False,
+                    'perm_create': True,
+                    })
             self.test_access.create({})
 
             # One access disallowed for any group
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_create': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.create, {})
+            self.model_access.write([model_access_wo_group], {
+                    'perm_create': False,
+                    })
+            self.assertRaises(Exception, self.test_access.create, {})
 
             # Two access rules with one group allowed
-            group_id = self.group.search([('users', '=', USER)])[0]
-            model_access_w_group_id = self.model_access.create({
-                'model': model_id,
-                'group': group_id,
-                'perm_create': True,
-                })
+            group, = self.group.search([('users', '=', USER)])
+            model_access_w_group = self.model_access.create({
+                    'model': model.id,
+                    'group': group.id,
+                    'perm_create': True,
+                    })
 
             self.test_access.create({})
 
             # Two access rules with both allowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_create': True,
-                })
+            self.model_access.write([model_access_wo_group], {
+                    'perm_create': True,
+                    })
             self.test_access.create({})
 
             # Two access rules with any group allowed
-            self.model_access.write(model_access_w_group_id, {
-                'perm_create': False,
-                })
+            self.model_access.write([model_access_w_group], {
+                    'perm_create': False,
+                    })
             self.test_access.create({})
 
             # Two access rules with both disallowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_create': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.create, {})
+            self.model_access.write([model_access_wo_group], {
+                    'perm_create': False,
+                    })
+            self.assertRaises(Exception, self.test_access.create, {})
 
             # One access disallowed for one group
-            self.model_access.delete(model_access_wo_group_id)
-            self.failUnlessRaises(Exception, self.test_access.create, {})
+            self.model_access.delete([model_access_wo_group])
+            self.assertRaises(Exception, self.test_access.create, {})
 
             # One access allowed for one group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_create': True,
-                })
+            self.model_access.write([model_access_w_group], {
+                    'perm_create': True,
+                    })
             self.test_access.create({})
 
             # One access allowed for one other group
-            group_id = self.group.create({'name': 'Test'})
-            self.model_access.write(model_access_w_group_id, {
-                'group': group_id,
-                })
+            group = self.group.create({'name': 'Test'})
+            self.model_access.write([model_access_w_group], {
+                    'group': group.id,
+                    })
             self.test_access.create({})
 
             # One access disallowed for one other group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_create': False,
-                })
+            self.model_access.write([model_access_w_group], {
+                    'perm_create': False,
+                    })
             self.test_access.create({})
 
             transaction.cursor.rollback()
@@ -276,82 +269,82 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            model_id, = self.model.search([('model', '=', 'test.access')])
+            model, = self.model.search([('model', '=', 'test.access')])
 
-            test_ids = [self.test_access.create({}) for x in range(11)]
+            tests = [self.test_access.create({}) for x in range(11)]
 
             # Without model access
-            self.test_access.delete(test_ids.pop())
+            self.test_access.delete([tests.pop()])
 
             # With model access
 
             # One access allowed for any group
-            model_access_wo_group_id = self.model_access.create({
-                'model': model_id,
-                'group': False,
-                'perm_delete': True,
-                })
-            self.test_access.delete(test_ids.pop())
+            model_access_wo_group = self.model_access.create({
+                    'model': model.id,
+                    'group': False,
+                    'perm_delete': True,
+                    })
+            self.test_access.delete([tests.pop()])
 
             # One access disallowed for any group
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_delete': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.delete,
-                    test_ids.pop())
+            self.model_access.write([model_access_wo_group], {
+                    'perm_delete': False,
+                    })
+            self.assertRaises(Exception, self.test_access.delete,
+                [tests.pop()])
 
             # Two access rules with one group allowed
-            group_id = self.group.search([('users', '=', USER)])[0]
-            model_access_w_group_id = self.model_access.create({
-                'model': model_id,
-                'group': group_id,
-                'perm_delete': True,
-                })
+            group = self.group.search([('users', '=', USER)])[0]
+            model_access_w_group = self.model_access.create({
+                    'model': model.id,
+                    'group': group.id,
+                    'perm_delete': True,
+                    })
 
-            self.test_access.delete(test_ids.pop())
+            self.test_access.delete([tests.pop()])
 
             # Two access rules with both allowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_delete': True,
-                })
-            self.test_access.delete(test_ids.pop())
+            self.model_access.write([model_access_wo_group], {
+                    'perm_delete': True,
+                    })
+            self.test_access.delete([tests.pop()])
 
             # Two access rules with any group allowed
-            self.model_access.write(model_access_w_group_id, {
-                'perm_delete': False,
-                })
-            self.test_access.delete(test_ids.pop())
+            self.model_access.write([model_access_w_group], {
+                    'perm_delete': False,
+                    })
+            self.test_access.delete([tests.pop()])
 
             # Two access rules with both disallowed
-            self.model_access.write(model_access_wo_group_id, {
-                'perm_delete': False,
-                })
-            self.failUnlessRaises(Exception, self.test_access.delete,
-                    test_ids.pop())
+            self.model_access.write([model_access_wo_group], {
+                    'perm_delete': False,
+                    })
+            self.assertRaises(Exception, self.test_access.delete,
+                [tests.pop()])
 
             # One access disallowed for one group
-            self.model_access.delete(model_access_wo_group_id)
-            self.failUnlessRaises(Exception, self.test_access.delete,
-                    test_ids.pop())
+            self.model_access.delete([model_access_wo_group])
+            self.assertRaises(Exception, self.test_access.delete,
+                [tests.pop()])
 
             # One access allowed for one group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_delete': True,
-                })
-            self.test_access.delete(test_ids.pop())
+            self.model_access.write([model_access_w_group], {
+                    'perm_delete': True,
+                    })
+            self.test_access.delete([tests.pop()])
 
             # One access allowed for one other group
-            group_id = self.group.create({'name': 'Test'})
-            self.model_access.write(model_access_w_group_id, {
-                'group': group_id,
-                })
-            self.test_access.delete(test_ids.pop())
+            group = self.group.create({'name': 'Test'})
+            self.model_access.write([model_access_w_group], {
+                    'group': group.id,
+                    })
+            self.test_access.delete([tests.pop()])
 
             # One access disallowed for one other group
-            self.model_access.write(model_access_w_group_id, {
-                'perm_delete': False,
-                })
-            self.test_access.delete(test_ids.pop())
+            self.model_access.write([model_access_w_group], {
+                    'perm_delete': False,
+                    })
+            self.test_access.delete([tests.pop()])
 
             transaction.cursor.rollback()
 
